org.eclipse.gef.dot.internal.language.validation

## Class DotHtmlLabelJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.gef.dot.internal.language.validation.AbstractDotHtmlLabelJavaValidator
      - - org.eclipse.gef.dot.internal.language.validation.DotHtmlLabelJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

    public class DotHtmlLabelJavaValidator
    extends AbstractDotHtmlLabelJavaValidator

This class contains custom validation rules. See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html#validation

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

### Field Summary

### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

`INSIGNIFICANT_INDEX`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`DotHtmlLabelJavaValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkAttributeNameIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlAttr attr)` Checks if the given `HtmlAttr` is valid w.r.t. its tag (only certain attributes are supported by the individual tags).
`void` `checkAttributeValueIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlAttr attr)` Checks if the value of a given `HtmlAttr` is valid.
`void` `checkHtmlLabelPartsAreValidSiblings(org.eclipse.gef.dot.internal.language.htmllabel.HtmlLabel label)` Checks if the given `HtmlLabel`'s parts are valid siblings to each other.
`void` `checkHtmlTagChildrenAreValidSiblings(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)` Checks if the given `HtmlTag`'s children are valid siblings to each other.
`void` `checkSelfClosingTagIsAllowed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)` Checks if the given `HtmlTag` is properly closed.
`void` `checkStringLiteralIsAllowed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)` Checks if a string literal is allowed in the given `HtmlTag`.
`void` `checkTagIsClosed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)` Checks if the given `HtmlTag` is properly closed.
`void` `checkTagNameIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)` Checks if the given `HtmlTag` is valid w.r.t. its parent (not all tags are allowed on all nesting levels).

### Methods inherited from class org.eclipse.gef.dot.internal.language.validation.AbstractDotHtmlLabelJavaValidator

`getEPackages`

### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotHtmlLabelJavaValidator

    public DotHtmlLabelJavaValidator()

### Method Detail

#### checkHtmlLabelPartsAreValidSiblings

    public void checkHtmlLabelPartsAreValidSiblings(org.eclipse.gef.dot.internal.language.htmllabel.HtmlLabel label)

Checks if the given `HtmlLabel`'s parts are valid siblings to each other. Generates errors if the label's parts contains invalid siblings.

Parameters:
  `label` - The `HtmlLabel` of that's parts are to be checked.

#### checkHtmlTagChildrenAreValidSiblings

    public void checkHtmlTagChildrenAreValidSiblings(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)

Checks if the given `HtmlTag`'s children are valid siblings to each other. Generates errors if the tag's children contains invalid siblings.

Parameters:
  `tag` - The `HtmlTag` of that's children are to be checked.

#### checkTagIsClosed

    public void checkTagIsClosed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)

Checks if the given `HtmlTag` is properly closed. Generates errors if the html's open tag does not correspond to its close tag.

Parameters:
  `tag` - The `HtmlTag` to check.

#### checkSelfClosingTagIsAllowed

    public void checkSelfClosingTagIsAllowed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)

Checks if the given `HtmlTag` is properly closed. Generates errors if the html tag is self-closed where self-closing is not allowed.

Parameters:
  `tag` - The `HtmlTag` to check.

#### checkStringLiteralIsAllowed

    public void checkStringLiteralIsAllowed(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)

Checks if a string literal is allowed in the given `HtmlTag`. Generates errors if the html tag is not allowed to contain a string literal.

Parameters:
  `tag` - The `HtmlTag` to check.

#### checkTagNameIsValid

    public void checkTagNameIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlTag tag)

Checks if the given `HtmlTag` is valid w.r.t. its parent (not all tags are allowed on all nesting levels). Generates errors when the given `HtmlTag` is not supported by Graphviz w.r.t. its parent.

Parameters:
  `tag` - The `HtmlTag` to check.

#### checkAttributeNameIsValid

    public void checkAttributeNameIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlAttr attr)

Checks if the given `HtmlAttr` is valid w.r.t. its tag (only certain attributes are supported by the individual tags). Generates errors if the `HtmlAttr` is not supported by Graphviz w.r.t. its tag.

Parameters:
  `attr` - The `HtmlAttr` to check.

#### checkAttributeValueIsValid

    public void checkAttributeValueIsValid(org.eclipse.gef.dot.internal.language.htmllabel.HtmlAttr attr)

Checks if the value of a given `HtmlAttr` is valid. Generates errors if the value of a given `HtmlAttr` is not supported by Graphviz.

Parameters:
  `attr` - The `HtmlAttr` of that's attribute value is to check.